AMD Catalyst v12.4 will not support Diablo III

By on May 7, 2012

Players are recommended to roll back to the v12.2 drivers.

Share this Article





   

First Impressions
My reaction is
Latest Videos

Diablo III fans are strongly advised against upgrading their AMD graphics card drivers to the latest v12.4 update. According to Omrakos, an AMD support forum agent, the latest drivers are not compatible with Blizzard’s mouse-destroying RPG.

There is a massive thread you can follow here. The short is, both v12.3 and v12.4 drivers are not compatible with the game. Those that have already updated are recommended to roll back to the v12.2 drivers which are known to work perfectly with the game.

You can download the v12.2 drivers from here. Users are recommended to perform a ‘clean install’ before rolling back. This entails using Driver Sweeper to rub all signs of an AMD driver from your PC before installing the driver again.


About

Mufaddal Fakhruddin is the Editor for IGN ME and thinks writing in third person about himself in an about me section is weird.

More News
Comments
  • http://www.installsoftware.com/ Siobhanham

    card drivers to the latest v12.4 update. According to Omrakos, an AMD
    support forum agent, the latest drivers are not compatible with
    Blizzard’s mouse-destroying RPG.

  • http://www.neworleansflowers.info/ florist in New orleans

    here is a massive thread you can follow here.

  • http://www.conzumo.com/cartuchos-toners-c-1.html cartuchos tinta

    The latest drivers are not compatible with Blizzard’s mouse-destroying RPG.


Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in /var/sites/t/tbreak.com/public_html/megamers/wp-content/themes/meg2010/sidebar_category.php on line 7
Most Read
Most Commented